View Issue Details

IDProjectCategoryView StatusLast Update
0020084mantisbtplug-inspublic2015-12-06 02:45
ReportersyncguruAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-beta.3 
Target Version1.3.0-rc.1Fixed in Version1.3.0-rc.1 
Summary0020084: EVENT_LAYOUT_BODY_END should fire after loading JS libraries
Description

As part of investigating the issue with snippets plugin, I noticed that EVENT_LAYOUT_BODY_END is firing before the JS libraries are rendered on the page. This is incorrect as it does not give any opportunity to plugins to load dependent JS files. The event should fire directly before </body>

TagsNo tags attached.

Relationships

related to 0020081 closeddregad Moving JS to bottom is causing 'ReferenceError: jQuery is not defined' errors 

Activities

dregad

dregad

2015-09-07 17:57

developer   ~0051392

Before you do anything on this, please read 0020081:0051391

dregad

dregad

2015-09-07 18:07

developer   ~0051393

By the way, and for the record... You actually moved that event up ;-)
https://github.com/mantisbt/mantisbt/commit/98a91f8dc31c5ea54a24266baca13e326e8f842a

syncguru

syncguru

2015-09-07 19:11

developer   ~0051398

True, I did not know much about the eventing system and who is consuming them so I left the EVENT where it was before my changes.

Now that I see where they are used. BODY_END event should always be fired before </body>

PR: https://github.com/mantisbt/mantisbt/pull/642

vboctor

vboctor

2015-09-07 20:21

manager   ~0051400

For code lines where the positioning is very sensitive, we should add a comment explaining to the reader the significance of the position.

Related Changesets

MantisBT: master c3f52b74

2015-09-11 11:25:04

dregad

Details Diff
Fix 0020084: explain EVENT_LAYOUT_BODY_END placement
mod - core/html_api.php Diff File

Issue History

Date Modified Username Field Change
2015-09-07 16:27 syncguru New Issue
2015-09-07 16:27 syncguru Status new => assigned
2015-09-07 16:27 syncguru Assigned To => syncguru
2015-09-07 16:27 syncguru Relationship added related to 0020081
2015-09-07 17:57 dregad Note Added: 0051392
2015-09-07 18:07 dregad Note Added: 0051393
2015-09-07 19:11 syncguru Note Added: 0051398
2015-09-07 20:21 vboctor Note Added: 0051400
2015-09-11 11:27 dregad Changeset attached => MantisBT master c3f52b74
2015-09-11 11:27 dregad Assigned To syncguru => dregad
2015-09-11 11:27 dregad Status assigned => resolved
2015-09-11 11:27 dregad Resolution open => fixed
2015-09-11 11:27 dregad Fixed in Version => 1.3.0-rc.1
2015-12-06 02:45 vboctor Status resolved => closed